@import url("https://fonts.googleapis.com/css?family=Roboto:900");
* {
  box-sizing: border-box;
}
*::before, *::after {
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  line-height: 1.5;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
  margin: 0;
  min-height: 100vh;
  background: #000;
}

button {
  position: relative;
  display: inline-block;
  cursor: pointer;
  outline: none;
  border: 0;
  vertical-align: middle;
  text-decoration: none;
  font-size: inherit;
  font-family: inherit;
  border-radius: 12px;
  font-size:18px;
}
button.learn-more {
  -webkit-transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  font-weight: 900;
  color: #202121;
  padding: 1.25rem 2rem;
  background: #09F;
  text-transform: uppercase;
}
button.login {
  -webkit-transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  font-weight: 900;
  color: #202121;
  padding: 1.25rem 2rem;
  background: #0C9;
  text-transform: uppercase;
  
}
button.pass-wrong {
  -webkit-transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  transition: all 0.5s cubic-bezier(0.65, -0.25, 0.25, 1.95);
  font-weight: 900;
  color: #202121;
  padding: 1.25rem 2rem;
  background: #F96;
  text-transform: uppercase;
}
button.learn-more:hover, button.learn-more:focus, button.learn-more:active, button.login:hover, button.login:focus, button.login:active, button.pass-wrong:hover, button.pass-wrong:focus, button.pass-wrong:active {
  letter-spacing: 0.125rem;
  
}

@supports (display: grid) {
  body {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 0.625rem;
    grid-template-areas: ". main main ." ". main main .";
  }

  #container {
    grid-area: main;
    align-self: center;
    justify-self: center;
  }
}